import { v as o, z as a, q as n, w as s } from "./index-a68a4fdc.mjs";
import "vue";
const c = o("el-collapse", {}, (t, { config: e }) => {
  t["#"] = r(e);
});
function r(t) {
  const e = [];
  let l = 0;
  for (const i of t._container || [])
    e.push(p(i, l++));
  return e;
}
function p(t, e) {
  const l = a("el-collapse-item", { config: t });
  return l.name = "" + e, l;
}
const u = {
  key: "_collapse",
  name: "Collapse",
  description: "Basic collapse",
  icon: "mdiArrowCollapseVertical",
  sequence: 23,
  transform: c,
  editor: {
    basic: {
      ui: [
        //If accordion is true,the modelValue is a String
        //So far only one data type is supported
        // {
        //   '~component': 'el-switch',
        //   '~label': 'Accordion',
        //   '~prop': 'accordion'
        // },
        {
          "~component": "lc-editable-list",
          "~label": "Items",
          "~prop": "_container",
          labelColumn: "title",
          editConfig: [n("title"), s("disabled")]
        }
      ],
      init: {
        accordion: !1,
        _container: [
          {
            title: "Collapse 1"
          },
          {
            title: "Collapse 2"
          },
          {
            title: "Collapse 3"
          }
        ]
      }
    },
    data: {
      // modelValueName:'model',
      //readonly:true,
      type: "Array"
    },
    display: {
      init: {
        style: {
          display: "block",
          width: "100%",
          margin: "4px 0 4px 0"
        }
      }
    }
  }
};
export {
  u as default
};
